Bug 1342501

Summary: python-jmespath: python2-jmespath requires both Python 2 and Python 3
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python-jmespathAssignee: Fabio Alessandro Locati <fale>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: fale, gholms, hguemar, lkundrak
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-jmespath-0.9.0-5.fc24 python-jmespath-0.9.0-5.fc23 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-01 00:53:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285816, 1340802    

Description Tomas Orsava 2016-06-03 11:54:36 UTC
The python2-jmespath RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Fabio Alessandro Locati 2016-06-03 12:02:55 UTC
Thanks for pointing this out. I'll be working on it between today and tomorrow :)

Comment 2 Tomas Orsava 2016-06-03 12:12:03 UTC
Glad to have helped! Thank you for your time. :)

Comment 3 hguemar 2016-06-27 10:50:01 UTC
I built a fixed package in rawhide and F24 as provenpackager (FAS: hguemar)

@Fabio: if there are any issue, feel free to ping me.

Comment 4 Fedora Update System 2016-09-01 21:03:43 UTC
python-jmespath-0.9.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-21ee6ad69c

Comment 5 Fedora Update System 2016-09-01 21:03:55 UTC
python-jmespath-0.9.0-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f7dec2cf57

Comment 6 Fedora Update System 2016-09-03 03:23:40 UTC
python-jmespath-0.9.0-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f7dec2cf57

Comment 7 Fedora Update System 2016-09-03 03:53:11 UTC
python-jmespath-0.9.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-21ee6ad69c

Comment 8 Fedora Update System 2016-10-01 00:53:01 UTC
python-jmespath-0.9.0-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-10-01 04:21:47 UTC
python-jmespath-0.9.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.